/**
 * 
 * THIS FILE IS ENQUEUED FOR ALL SC-BLOCK instances
 * 
 */
import './style.scss';
//console.log('view-premium');
function runSsq() {
  (window as any).ScrollsequenceManager.initialize();
  (window as any).ScrollsequenceManager.preloadAll();
}

window.addEventListener('DOMContentLoaded', () => runSsq());

// Elementor editor hook
window.addEventListener('elementor/frontend/init', () => {
  (window as any).elementorFrontend.hooks.addAction('frontend/element_ready/shortcode.default', () => { // 'frontend/element_ready/global'
    runSsq();
  });
});
